/* st-accel header file
 * 
 * This header file is shared between userspace programs and the kernel driver.
 *
 * Author: Karl Koscher
 * Version: 0.4
 */

#include <linux/ioctl.h>

#define ACCEL_IOCTL_MAGIC 'E'

#define X_AXIS					(1 << 0)
#define Y_AXIS					(1 << 1)
#define Z_AXIS					(1 << 2)
#define ALL_AXES				(X_AXIS | Y_AXIS | Z_AXIS)

#define RATE_280HZ				(0 << 4)
#define RATE_560HZ				(1 << 4)
#define RATE_1120HZ				(2 << 4)
#define RATE_4480HZ				(3 << 4)

#define ACCEL_POWER_ON			_IOW(ACCEL_IOCTL_MAGIC, 1, void)
#define ACCEL_POWER_OFF			_IOW(ACCEL_IOCTL_MAGIC, 2, void)
#define ACCEL_SET_RATE			_IOW(ACCEL_IOCTL_MAGIC, 3, int)
#define ACCEL_SET_AXES			_IOW(ACCEL_IOCTL_MAGIC, 4, int)

#define	CTRL_REG1				0x20
#define CTRL_REG2				0x21
#define STATUS_REG				0x27
#define OUTX_L					0x28
#define OUTX_H					0x29
#define OUTY_L					0x2a
#define OUTY_H					0x2b
#define OUTZ_L					0x2c
#define OUTZ_H					0x2d
